<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'UserAddressData' => '\\Parameters\\UserAddressData',
            'ContactPersonData' => '\\Parameters\\ContactPersonData',
            'ArrayOfUserLoginMinimalData' => '\\Parameters\\ArrayOfUserLoginMinimalData',
            'UserLoginMinimalData' => '\\Parameters\\UserLoginMinimalData',
            'LoginUserRequest' => '\\Parameters\\LoginUserRequest',
            'Request' => '\\Parameters\\Request',
            'LoginUserResponse' => '\\Parameters\\LoginUserResponse',
            'Response' => '\\Parameters\\Response',
            'CheckUsernameForAvailabilityRequest' => '\\Parameters\\CheckUsernameForAvailabilityRequest',
            'CheckUsernameForAvailabilityResponse' => '\\Parameters\\CheckUsernameForAvailabilityResponse',
            'CheckSessionForExistenceRequest' => '\\Parameters\\CheckSessionForExistenceRequest',
            'SessionRequest' => '\\Parameters\\SessionRequest',
            'CheckSessionForExistenceResponse' => '\\Parameters\\CheckSessionForExistenceResponse',
            'RegistrateUserRequest' => '\\Parameters\\RegistrateUserRequest',
            'RegistrateUserResponse' => '\\Parameters\\RegistrateUserResponse',
            'DeactivateUserRequest' => '\\Parameters\\DeactivateUserRequest',
            'DeactivateUserResponse' => '\\Parameters\\DeactivateUserResponse',
            'ChangeUserDataRequest' => '\\Parameters\\ChangeUserDataRequest',
            'ChangeUserDataResponse' => '\\Parameters\\ChangeUserDataResponse',
            'GetUserDataFromSessionIdResponse' => '\\Parameters\\GetUserDataFromSessionIdResponse',
            'GetSalesDataFromSessionIdResponse' => '\\Parameters\\GetSalesDataFromSessionIdResponse',
            'GetAllLoginsForAddressOfThisSessionIdResponse' => '\\Parameters\\GetAllLoginsForAddressOfThisSessionIdResponse',
            'ResendPasswordRequest' => '\\Parameters\\ResendPasswordRequest',
            'ResendPasswordResponse' => '\\Parameters\\ResendPasswordResponse',
            'SetExternalSessionIdRequest' => '\\Parameters\\SetExternalSessionIdRequest',
            'SetExternalSessionIdResponse' => '\\Parameters\\SetExternalSessionIdResponse',
            'GetExternalSessionIdResponse' => '\\Parameters\\GetExternalSessionIdResponse',
            'ConfirmDoubleOptInRequest' => '\\Parameters\\ConfirmDoubleOptInRequest',
            'ConfirmDoubleOptInResponse' => '\\Parameters\\ConfirmDoubleOptInResponse',
            'NewsletterUnsubscribeRequest' => '\\Parameters\\NewsletterUnsubscribeRequest',
            'NewsletterUnsubscribeResponse' => '\\Parameters\\NewsletterUnsubscribeResponse',
            'LoginUser' => '\\Parameters\\LoginUser',
            'CheckUsernameForAvailability' => '\\Parameters\\CheckUsernameForAvailability',
            'CheckSessionForExistence' => '\\Parameters\\CheckSessionForExistence',
            'RegistrateUser' => '\\Parameters\\RegistrateUser',
            'DeactivateUser' => '\\Parameters\\DeactivateUser',
            'ChangeUserData' => '\\Parameters\\ChangeUserData',
            'GetUserDataFromSessionId' => '\\Parameters\\GetUserDataFromSessionId',
            'GetSalesDataFromSessionId' => '\\Parameters\\GetSalesDataFromSessionId',
            'GetAllLoginsForAddressOfThisSessionId' => '\\Parameters\\GetAllLoginsForAddressOfThisSessionId',
            'ResendPassword' => '\\Parameters\\ResendPassword',
            'SetExternalSessionId' => '\\Parameters\\SetExternalSessionId',
            'GetExternalSessionId' => '\\Parameters\\GetExternalSessionId',
            'NewsletterConfirmDoubleOptIn' => '\\Parameters\\NewsletterConfirmDoubleOptIn',
            'NewsletterConfirmDoubleOptInResponse' => '\\Parameters\\NewsletterConfirmDoubleOptInResponse',
            'NewsletterUnsubscribe' => '\\Parameters\\NewsletterUnsubscribe',
        );
    }
}
