<?php

namespace Parameters;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for NewsletterConfirmDoubleOptIn Parameters
 * @subpackage Structs
 */
class NewsletterConfirmDoubleOptIn extends AbstractStructBase
{
    /**
     * The confirmRequest
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var \Parameters\ConfirmDoubleOptInRequest
     */
    public $confirmRequest;
    /**
     * Constructor method for NewsletterConfirmDoubleOptIn
     * @uses NewsletterConfirmDoubleOptIn::setConfirmRequest()
     * @param \Parameters\ConfirmDoubleOptInRequest $confirmRequest
     */
    public function __construct(\Parameters\ConfirmDoubleOptInRequest $confirmRequest = null)
    {
        $this
            ->setConfirmRequest($confirmRequest);
    }
    /**
     * Get confirmRequest value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \Parameters\ConfirmDoubleOptInRequest|null
     */
    public function getConfirmRequest()
    {
        return isset($this->confirmRequest) ? $this->confirmRequest : null;
    }
    /**
     * Set confirmRequest value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param \Parameters\ConfirmDoubleOptInRequest $confirmRequest
     * @return \Parameters\NewsletterConfirmDoubleOptIn
     */
    public function setConfirmRequest(\Parameters\ConfirmDoubleOptInRequest $confirmRequest = null)
    {
        if (is_null($confirmRequest) || (is_array($confirmRequest) && empty($confirmRequest))) {
            unset($this->confirmRequest);
        } else {
            $this->confirmRequest = $confirmRequest;
        }
        return $this;
    }
}
